exposeServices:
  minio: true
  console: true

secrets:

tenant:
  name: "{{ k8s_minio_tenant_release_name }}"

  image:
    tag: "{{ k8s_minio_tenant_image_tag }}"

  pools:
    - name: "pool"
      servers: {{ k8s_minio_tenant_servers }}
      volumesPerServer: "{{ k8s_minio_tenant_volumes }}"
      size: "{{ k8s_minio_tenant_volume_size }}Gi"
      storageClassName: "{{ k8s_minio_tenant_storage_class }}"
  
  mountPath: /export
  subPath: /data

  buckets:
    - name: "{{ k8s_minio_s3_bucket_name }}"

  users:
    - name: {{ k8s_minio_tenant_namespace }}-{{ k8s_minio_tenant_release_name }}-console-user
      type: ConsoleUser
      group: admin

  configSecret:
    name: {{ k8s_minio_tenant_namespace }}-{{ k8s_minio_tenant_release_name }}-env-configuration
    accessKey: {{ k8s_minio_username }}
    secretKey: {{ k8s_minio_password }}

  certificate:
    requestAutoCert: false
  
  configuration:
    name: {{ k8s_minio_tenant_namespace }}-{{ k8s_minio_tenant_release_name }}-env-configuration

  env:
    - name: MINIO_SERVER_URL
      value: http://minio.{{ k8s_minio_tenant_namespace }}.svc.{{ k8s_minio_cluster_domain }}
